SDL_UnlockRWLock(3)

NAME
SDL_UnlockRWLock - Unlock the read/write lock.

HEADER FILE
Defined in SDL3/SDL_mutex.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_UnlockRWLock(SDL_RWLock *rwlock);

DESCRIPTION
Use this function to unlock the rwlock, whether it was locked for read-only or write operations.

It is legal for the owning thread to lock an already-locked read-only lock. It must unlock it the same number of times before it is actually made available for other threads in the system (this is known as a "recursive rwlock").

It is illegal to unlock a rwlock that has not been locked by the current thread, and doing so results in undefined behavior.

FUNCTION PARAMETERS

rwlock
    the rwlock to unlock.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_LockRWLockForReading(3), •(3), SDL_LockRWLockForWriting(3), •(3), SDL_TryLockRWLockForReading(3), •(3), SDL_TryLockRWLockForWriting(3)